Subject: [BEHAVE] I-D Action:draft-ietf-behave-v6v4-xlate-stateful-02.txt

From: [email-masked]
Date: Sat, 10 Oct 2009 12:15:01 -0700 (PDT)

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Behavior Engineering for Hindrance Avoidance Working Group of the IETF.

	Title           : NAT64: Network Address and Protocol Translation from IPv6 Clients to IPv4 Servers
	Author(s)       : M. Bagnulo, et al.
	Filename        : draft-ietf-behave-v6v4-xlate-stateful-02.txt
	Pages           : 40
	Date            : 2009-10-10

NAT64 is a mechanism for translating IPv6 packets to IPv4 packets and
vice-versa.  DNS64 is a mechanism for synthesizing AAAA records from
A records.  These two mechanisms together enable client-server
communication between an IPv6-only client and an IPv4-only server,
without requiring any changes to either the IPv6 or the IPv4 node,
for the class of applications that work through NATs.  They also
enable peer-to-peer communication between an IPv4 and an IPv6 node,
where the communication can be initiated by either end using
existing, NAT-traversing, peer-to-peer communication techniques.
This document specifies NAT64, and gives suggestions on how they
should be deployed.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-behave-v6v4-xlate-stateful-02.txt

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

---

From: marcelo bagnulo braun <[email-masked]>
Date: Sat, 10 Oct 2009 22:12:49 +0200

Hi,

We have submitted a new version of the draft.

This new version
- Includes the processing of ICMP queries.
- Includes the processing of TCP RST as discussed in the last meeting
- Updates the section 8 about scenarios to be aligned with the framework 
document
- Updates the document to be more aligned with the prefix document 
removed the /96 and added the suffix to the address transform in the non 
normative part (the normative part simply refers to the other document)
- adds support to manually configured entries in the bib.
- alignes with the stateless document

What is still missing:
- deal with the fragmentation mess
- cross check that we comply with the behave requirements. In 
particular, things i would like to check:
-- ICMP error handling, in particular, i need to deal with ICMP 
extensions, and verify that ICMP error handling is compliant with the 
behave requirements
-- check for the cases of silently discarding packets and when to send a 
ICMP error back (i think this is ok, but i need to double check)
-- overview of all behave requirements and i would like to include a 
section that states what behave requirements are fullfilled by the nat64
- align with the prefix document once the prefix document is more advanced.

Comments are welcome,

Regards, marcelo

[email-masked] escribió:
> ------------------------------------------------------------------------
>
> _______________________________________________
> Behave mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/behave
>

---

From: Zhen Cao <[email-masked]>
Date: Sun, 11 Oct 2009 10:29:59 +0800

Hi,

The ICMP error in section 7 is still left unchanged. I made some
comments on section.7 before, as in
http://www.ietf.org/mail-archive/web/behave/current/msg06865.html, and
Iljitsch agreed the current text wronged the handling.

Regards,
Zhen
On Sun, Oct 11, 2009 at 4:12 AM, marcelo bagnulo braun
<[email-masked]> wrote:
> - Updates the document to be more aligned with the prefix document removed
> the /96 and added the suffix to the address transform in the non normative
> part (the normative part simply refers to the other document)
> - cross check that we comply with the behave requirements. In particular,
> things i would like to check:
> -- ICMP error handling, in particular, i need to deal with ICMP extensions,
> and verify that ICMP error handling is compliant with the behave
> requirements
> -- overview of all behave requirements and i would like to include a section
> that states what behave requirements are fullfilled by the nat64

---

From: marcelo bagnulo braun <[email-masked]>
Date: Sun, 11 Oct 2009 10:06:27 +0200

yes, this is the part of handling fragmentation and mtu issues that i 
still haven't deal with. Will be done for next rev.